<?php
/*
Plugin Name: Flippa Verification
Plugin URI: http://www.seocrafting.com
Description: Easily verify your Flippa listing with meta tags
Version: 1.0
Author: Aedan O'Brien
Author URI: http://www.seocrafting.com
*/

if (!defined('WP_CONTENT_URL'))
      define('WP_CONTENT_URL', get_option('siteurl').'/wp-content');
if (!defined('WP_CONTENT_DIR'))
      define('WP_CONTENT_DIR', ABSPATH.'wp-content');
if (!defined('WP_PLUGIN_URL'))
      define('WP_PLUGIN_URL', WP_CONTENT_URL.'/plugins');
if (!defined('WP_PLUGIN_DIR'))
      define('WP_PLUGIN_DIR', WP_CONTENT_DIR.'/plugins');

function activate_flippa_meta_verification() {
	add_option('flippa_meta_verification_content');
}

function admin_init_flippa_meta_verification() {
	register_setting('flippa_meta_verification', 'flippa_meta_verification_content');
}

function admin_menu_flippa_meta_verification() {
	add_menu_page( 'Flippa Verification', 'Flippa Verification', 'manage_options', 'flippa_meta_verification', 'options_page_flippa_meta_verification', plugins_url( 'flippa_verification/flippa_icon.png' ), 98 );
}

function options_page_flippa_meta_verification() {
	include(WP_PLUGIN_DIR.'/flippa_verification/options.php');  
}

register_activation_hook(__FILE__, 'activate_flippa_meta_verification');

if (is_admin()) {
	add_action('admin_init', 'admin_init_flippa_meta_verification');
	add_action('admin_menu', 'admin_menu_flippa_meta_verification');
}

function flippa_meta_verification() {
	if(get_option('flippa_meta_verification_content') != "") {
		echo get_option('flippa_meta_verification_content');
	}
}

add_action('wp_head', 'flippa_meta_verification');

?>